Skip to main content
Document Operations

List comments

<small>Requires an API token with the Document Reader role.</small>

GET
/documents/{document}/comments

Lists the comments that have been made on a document.

Filtering

The comment list can be filtered by a number of different attributes. The available filter attributes are listed under filter in the Query Parameters section of this page.

To specify filters, use array notation in the request query string to specify one or more filter values.

For example, to filter for externally-visible comments that have not been marked as resolved, the query string should contain:

filter[scope]=internal_and_external&filter[resolution_status]=open

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

filter[resolution_status]enum<string>query
Available options: open, resolved
filter[scope]enum<string>query
Available options: internal, internal_and_external
filter[type]enum<string>query
Available options: comment, proposal
sort_byenum<string> | nullquery

Name of the field to sort the response by. The default is updated_at.

Available options: created_at, updated_at
sort_directionenum<string> | nullquery

Default is desc

Available options: asc, desc

Response

application/json

Array of CommentResource

dataobject[]required